Texture.h File Reference
`#include <glbinding/gl/types.h>`
`#include <vector>`
`#include <glm/fwd.hpp>`
`#include <globjects/globjects_api.h>`
`#include <globjects/Object.h>`

Go to the source code of this file.

## Classes

class | globjects::Texture
| Wraps OpenGL texture objects. A Texture provides both interfaces to bind them for the OpenGL pipeline: binding and bindless texture. Bindless textures are only available if the graphics driver supports them. More...

## Namespaces

| globjects
| Contains all the classes that wrap OpenGL functionality.